/**  =====================
     Google Font
==========================  **/
@import url("../fonts/feather/css/feather.css");
@import url("../plugins/jquery-scrollbar/css/jquery.scrollbar.min.css");
@import url("../fonts/datta/datta-icon.css");

/**  =====================
      Custom css start
==========================  **/

body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;

}


.bg-light-gold {
    background: #f4dd32;
}


@media screen and (max-width: 600px) {
    /*.container-busline {*/
    /*    margin: 60px 10px;*/
    /*    overflow-x: hidden;*/
    /*}*/
}


.bg-millionz {
    background-image: url("../images/bg.png");
    background-repeat: repeat;
}

.nav-link {
    float: left;
    display: block;
    color: #262525;
    text-align: center;
    padding: 6px 10px;
    text-decoration: none;
    font-size: 16px;
    border-bottom: 3px solid transparent;
    margin-left: 20px;
    margin-right: 20px;
}

.nav-item > a:hover {
    color: green;
}

/*code to change background color*/
.nav-link > .active {
    /*border-bottom: 3px solid #c42104;*/
}

[aria-current]:not([aria-current="false"]) {
    /*font-weight: bold;*/
    border-bottom: 3px solid #c42104;
}


/***** 추가 */
header {
    /*padding: 4px;*/
}

main {
    padding-top: 60px;
}

.container {
    /*max-width : calc(100% - 100px);*/
    --width: 80vw;
    max-width: var(--width);
    /*height: calc((16/9) * var(--width));*/
}


/*@media (min-width: 1920px) {*/

/*}*/

.treeview .list-group-item {
    cursor: pointer
}

.treeview span.indent {
    margin-left: 10px;
    margin-right: 10px
}

.treeview span.icon {
    width: 12px;
    margin-right: 5px
}

.treeview .node-disabled {
    color: silver;
    cursor: not-allowed
}

.node-treeview1 {
}

.node-treeview1:not(.node-disabled):hover {
    background-color: #F5F5F5;
}

.right-sidebar {
    display: none;
    height: 100%;
    width: 300px;
    position: fixed;
    top: 0;
    z-index: 599;
    right: 0;
    background-color: #f1ebeb;
}

.settings {
    width: 100%;
    padding: 20px;
    margin: 0;
    position: relative;
    margin-top: 58px;
    background-color: #f1ebeb;
}

.f-14 {
    font-size: 14px;
}

.bg-light-blue {
    background: #33426f;
}

.bg-light-grey {
    background: #f4f4f5;
}

.bg-light-yellow {
    background: #f6fd37;
}

.bg-sidebar {
    background: #1f242e;
}

.bg-light-grey2 {
    background: #f4f4f5;
}

.bg-blue {
    background: #04a9f5;
}

.text-blue {
    color: #0000ff;
}

.bg-red {
    background: #f44236;
}

.text-c-red {
    color: #f44236;
}

.text-red {
    color: #f44236;
}

.bg-c-green {
    background: #1de9b6;
}

.text-c-green {
    color: #1de9b6;
}

.text-green {
    color: #00ff00;
}

.bg-c-yellow {
    background: #f4c22b;
}

.text-c-yellow {
    color: #f4c22b;
}

.bg-light-green {
    background: rgba(48, 204, 13, 0.2);
}

.bg-c-purple {
    background: #a389d4;
}

.text-c-purple {
    color: #a389d4;
}

.text-c-pink {
    color: #FF00FF;
}

.text-c-grey {
    color: #D3D3D3;
}

a:link {
    text-decoration: none;
    font-weight: bold;
}

a:hover {
    text-decoration: none;
    font-weight: bold;
}

.table-hover > tbody > tr:hover > td > a {
    font-weight: bold;
}

/* Sidebar */
.sidebar {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    padding: 58px 0 0; /* Height of navbar */
    box-shadow: 0 2px 5px 0 rgb(0 0 0 / 5%), 0 2px 10px 0 rgb(0 0 0 / 5%);
    width: 240px;
    z-index: 600;
}

@media (max-width: 991.98px) {
    .sidebar {
        width: 100%;
    }
}

.sidebar .active {
    border-radius: 5px;
    box-shadow: 0 2px 5px 0 rgb(0 0 0 / 16%), 0 2px 10px 0 rgb(0 0 0 / 12%);
}

.sidebar-sticky {
    position: relative;
    top: 0;
    height: calc(100vh - 78px);
    padding-top: 0.5rem;
    overflow-x: hidden;
    overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
}


*:focus {
    outline: none;
}

a:hover {
    outline: none;
    text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: #111;
    font-weight: 400;
}

h1 {
    font-size: 48px;
}

h2 {
    font-size: 44px;
}

h3 {
    font-size: 26px;
}

h4 {
    font-size: 20px;
}

h5 {
    font-size: 18px;
}

h6 {
    font-size: 14px;
}

p {
    font-size: 14px;
}

strong {
    font-weight: 400;
}

.img-radius {
    border-radius: 50%;
}

.page-header-title + .breadcrumb {
    background: transparent;
    padding: 0;
}

.page-header-title + .breadcrumb > .breadcrumb-item a {
    color: #888;
}

.page-header-title + .breadcrumb > .breadcrumb-item:last-child a {
    color: #111;
    font-weight: 600;
}

.theme-bg {
    background: linear-gradient(-135deg, #1de9b6 0%, #1dc4e9 100%);
}

.theme-bg2 {
    background: linear-gradient(-135deg, #899FD4 0%, #A389D4 100%);
}

/* ==========  card css start  =========== */
.anim-rotate {
    -webkit-animation: anim-rotate 1s linear infinite;
    animation: anim-rotate 1s linear infinite;
}

@-webkit-keyframes anim-rotate {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes anim-rotate {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.anim-close-card {
    -webkit-animation: anim-close-card 1.4s linear;
    animation: anim-close-card 1.4s linear;
}

@-webkit-keyframes anim-close-card {
    100% {
        opacity: 0.3;
        -webkit-transform: scale3d(0.3, 0.3, 0.3);
        transform: scale3d(0.3, 0.3, 0.3);
    }
}

@keyframes anim-close-card {
    100% {
        opacity: 0.3;
        -webkit-transform: scale3d(0.3, 0.3, 0.3);
        transform: scale3d(0.3, 0.3, 0.3);
    }
}

p.text-muted {
    font-size: 13px;
}

.dropdown-menu {
    z-index: 100;
}

.card {
    border-radius: 0;
    -webkit-box-shadow: 0 1px 20px 0 rgba(69, 90, 100, 0.08);
    box-shadow: 0 1px 20px 0 rgba(69, 90, 100, 0.08);
    border: none;
    margin-bottom: 6px;
    -webkit-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
}

.card .card-header {
    background-color: transparent;
    border-bottom: 1px solid #f1f1f1;
    padding: 20px 25px;
    position: relative;
}


.card .card-header h5 {
    margin-bottom: 0;
    color: #000;
    font-size: 18px;
    font-weight: 400;
    display: inline-block;
    margin-right: 10px;
    line-height: 1.1;
    position: relative;
}

.card .card-header h6 {
    margin-bottom: 0;
    color: #000;
    font-size: 17px;
    font-weight: 400;
    display: inline-block;
    margin-right: 6px;
    line-height: 1.1;
    position: relative;
}

.card .card-header h5:after {
    content: "";
    background-color: #04a9f5;
    position: absolute;
    left: -25px;
    top: 0;
    width: 4px;
    height: 20px;
}

.card .card-header h6:after {
    content: "";
    background-color: #33426f;
    position: absolute;
    left: -10px;
    top: 0px;
    width: 4px;
    height: 20px;
}

.card .card-header.borderless {
    border-bottom: none;
}

.card .card-header.borderless h5:after {
    display: none;
}

.card .card-header.borderless h6:after {
    display: none;
}

.card .card-header .card-header-right {
    right: 10px;
    top: 10px;
    display: inline-block;
    float: right;
    padding: 0;
    position: absolute;
}

@media only screen and (max-width: 675px) {
    .card .card-header .card-header-right {
        display: none;
    }
    .container {
        --width: 100vw;
        max-width: var(--width);
    }
}

.card .card-header .card-header-right .dropdown-menu {
    margin-top: 0;
}

.card .card-header .card-header-right .dropdown-menu li a {
    font-size: 14px;
    text-transform: capitalize;
}

.card .card-header .card-header-right .btn.dropdown-toggle {
    border: none;
    background: transparent;
    -webkit-box-shadow: none;
    box-shadow: none;
    color: #888;
}

.card .card-header .card-header-right .btn.dropdown-toggle i {
    margin-right: 0;
}

.card .card-header .card-header-right .btn.dropdown-toggle:after {
    display: none;
}

.card .card-header .card-header-right .btn.dropdown-toggle:focus {
    -webkit-box-shadow: none;
    box-shadow: none;
    outline: none;
}

.card .card-footer {
    border-top: 1px solid #f1f1f1;
    background: transparent;
    padding: 5px;
}

.card .card-block,
.card .card-body {
    padding: 10px 15px;
}

.card.card-load {
    position: relative;
    overflow: hidden;
}

.card.card-load .card-loader {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    background-color: rgba(255, 255, 255, 0.7);
    z-index: 999;
}

.card.card-load .card-loader i {
    margin: 0 auto;
    color: #04a9f5;
    font-size: 24px;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.card.full-card {
    z-index: 99999;
    border-radius: 0;
}

/* ==========  scrollbar End  =========== */
.scroll-y {
    z-index: 1027;
}

/* ==========  scrollbar End  ===========
 ==========  card css End  ===========



/**  =====================
      Authentication css start
==========================  **/
.auth-wrapper {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    overflow: hidden;
    min-width: 100%;
    min-height: 100vh;
}

.auth-wrapper a,
.auth-wrapper p > a {
    color: #111;
    font-weight: 600;
}

.auth-wrapper .btn-auth-gen .btn-icon {
    width: 140px;
    height: 140px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    font-size: 45px;
}

.auth-wrapper .btn-auth-gen .btn-icon small {
    font-size: 15px;
}

.auth-wrapper .input-group {
    background: transparent;
}

.auth-wrapper .card {
    margin-bottom: 0;
}

.auth-wrapper > div {
    z-index: 5;
}

.auth-wrapper .auth-content {
    position: relative;
    width: 390px;
    padding: 15px;
    z-index: 5;
}

.auth-wrapper .auth-content.multyform, .auth-wrapper .auth-content.subscribe {
    width: 750px;
}

/*@media only screen and (max-width: 768px) {*/
/*    .auth-wrapper {*/
/*        max-width: 360px;*/
/*    }*/
/*}*/

/*@media only screen and (max-width: 575px) {*/
/*    .auth-wrapper .card .card-body {*/
/*        padding: 30px 15px;*/
/*    }*/
/*}*/

.auth-wrapper .auth-icon {
    font-size: 30px;
}

.auth-wrapper .auth-icon:before {
    background: linear-gradient(-135deg, #1de9b6 0%, #1dc4e9 100%);
    background-clip: text;
    text-fill-color: transparent;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.auth-wrapper.offline {
    background-image: none;
}

.auth-wrapper.offline:before {
    display: none;
}

.auth-wrapper .auth-bg .r {
    position: absolute;
    width: 300px;
    height: 300px;
    border-radius: 50%;
}

.auth-wrapper .auth-bg .r:first-child {
    top: -100px;
    right: -100px;
    background: linear-gradient(-135deg, #1de9b6 0%, #1dc4e9 100%);
}

.auth-wrapper .auth-bg .r:last-child {
    left: -100px;
    bottom: -100px;
    background: linear-gradient(-135deg, #899FD4 0%, #A389D4 100%);
}

.auth-wrapper .auth-bg .r.s {
    width: 20px;
    height: 20px;
}

.auth-wrapper .auth-bg .r.s:nth-child(2) {
    top: 150px;
    right: -150px;
    background: #04a9f5;
}

.auth-wrapper .auth-bg .r.s:nth-child(3) {
    left: -150px;
    bottom: 150px;
    background: #1de9b6;
}

.auth-wrapper .auth-bg .r:nth-child(odd) {
    -webkit-animation: floating 7s infinite;
    animation: floating 7s infinite;
}

.auth-wrapper .auth-bg .r:nth-child(even) {
    -webkit-animation: floating 9s infinite;
    animation: floating 9s infinite;
}

.circle {
    width: 10px;
    height: 10px;
    background: red;
    -moz-border-radius: 70px;
    -webkit-border-radius: 70px;
    border-radius: 70px;
}


.bottom-border {
    border-bottom: 2px groove #eeeeee;
}


.remocon-frame {
    width: 190px;
    height: 160px;
    margin: 5px;
    padding: 10px;
    vertical-align: text-bottom;
    text-align: center;
}

.remocon-box {
    background-color: #3b3636;
    color: #5c5c5c;
    border-radius: 5px;
    /*background-color: #1de9b6;*/
    width: 170px;
    height: 150px;
    padding-top: 14px;
}

.remocon-box.active {
    background-color: grey;
}


.btn-fan {
    background-color: #5F5F5F;
    color: lightgray;
    width: 28%;
    height: 40px;
    font-size: 10pt;
    border-color: #333;
}

.btn-fan:active {
    background-color: white;
    color: black;
}

.btn-temp {
    width: 42%;
    height: 40px;
    color: lightgray;
    background-color: #5F5F5F;
    font-size: 10pt;
    border-color: #333;
}

.btn-temp:active {
    background-color: white;
    color: black;
}

.btn-pwr {
    width: 42%;
    background-color: #5F5F5F;
    color: lightgray;
    font-size: 10pt;
    height: 40px;
    border-color: #333;
}

.btn-pwr:active {
    background-color: white;
    color: black;
}


/* 버스탑승권 팝업 */
.overlay {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 500;
    top: 48px;
    left: 0;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.9);
    overflow-x: hidden;
}

.overlay-content {
    position: relative;
    top: 5%;
    width: 100%;
    text-align: center;
    margin-top: 30px;
}

.overlay a {
    padding: 8px;
    text-decoration: none;
    font-size: 36px;
    color: #818181;
    display: block;
    transition: 0.3s;
}

.overlay a:hover, .overlay a:focus {
    color: #f1f1f1;
}

.overlay .closebtn {
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 38px;
}



